Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKKeyFactory.DSA

    java.lang.Object
      java.security.KeyFactorySpi
          org.bouncycastle.jce.provider.JDKKeyFactory
              org.bouncycastle.jce.provider.JDKKeyFactory.DSA

Enclosing class:
  JDKKeyFactory

    public static class JDKKeyFactory.DSA

extends JDKKeyFactory

Nested Class Summary

Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JDKKeyFactory
`JDKKeyFactory.DH, JDKKeyFactory.DSA, JDKKeyFactory.ElGamal, JDKKeyFactory.GOST3410, JDKKeyFactory.RSA, JDKKeyFactory.X509`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.JDKKeyFactory
`elGamalFactory`

Constructor Summary
`JDKKeyFactory.DSA()`

Method Summary
`protected java.security.PrivateKey` | `engineGeneratePrivate(java.security.spec.KeySpec keySpec)`
`protected java.security.PublicKey` | `engineGeneratePublic(java.security.spec.KeySpec keySpec)`

Methods inherited from class org.bouncycastle.jce.provider.JDKKeyFactory
`createPrivateKeyFromDERStream, createPublicKeyFromDERStream, engineGetKeySpec, engineTranslateKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKKeyFactory.DSA

    public JDKKeyFactory.DSA()

Method Detail

### engineGeneratePrivate

    protected java.security.PrivateKey engineGeneratePrivate(java.security.spec.KeySpec keySpec)
                                                      throws java.security.spec.InvalidKeySpecException

  Overrides:
    `engineGeneratePrivate` in class `JDKKeyFactory`
  Throws:
    `java.security.spec.InvalidKeySpecException`

### engineGeneratePublic

    protected java.security.PublicKey engineGeneratePublic(java.security.spec.KeySpec keySpec)
                                                    throws java.security.spec.InvalidKeySpecException

  Overrides:
    `engineGeneratePublic` in class `JDKKeyFactory`
  Throws:
    `java.security.spec.InvalidKeySpecException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD